1
0
forked from pool/virtualbox
virtualbox/vbox-vboxdrv-init-script.diff
Larry Finger 9c5c5083fa Accepting request 716635 from home:lwfinger:branches:Virtualization
- Version update to 6.0.10 (released July 16 2019 by Oracle)
This is a maintenance release. The following items were fixed and/or added:
Various vulnerabilities are fixed (bsc#1141801) inclding
CVE-2019-2859 CVE-2019-2867 CVE-2019-2866 CVE-2019-2864 CVE-2019-2865 CVE-2019-1543 CVE-2019-2863
CVE-2019-2848 CVE-2019-2877 CVE-2019-2873 CVE-2019-2874 CVE-2019-2875 CVE-2019-2876 CVE-2019-2850
User interface: fix issue inputing controller names (bug #11579)
User interface: fix resize problems with recent Linux hosts (bug #18677)
Serial: fixed guru meditation when raw mode is enabled (bug #18632)
Serial: fixed possible VM crash under certain circumstances
USB: Fixed "unrecoverable error" problems in OHCI emulation (bug #18593, 6.0.6 regression)
USB: improve captured device identification
VBoxManage: fix reversed reporting of audio input and output (thank you Socratis Kalogrianitis)
VBoxManage: fix controlling recording for running machine (bug #18723)
Guest control service: various fixes
Linux hosts: kernel module build fixes for various kernels (bug #18316)
Linux hosts: support UEFI secure boot driver signing on Ubuntu and Debian hosts (bug #11577)
Linux hosts: fix focus grabbing problems with recent Qt versions (builds from source only; thank you Fabian Vogt (SUSE) and Larry Finger; bug #18745)
Windows guests: many shared folders fixes
Windows guests: fix other services failing if seamless mode was not available
Linux guests: kernel module build fixes for various kernels (bugs #18677 and #18697; fixes by Larry Finger and Gianfranco Costamagna)
Linux guests: do not try to load old versions of libcrypt on recent guests in Guest Additions tools (bug #18682)
Linux guests: udev rules for guest kernel modules did not always take effect in time
Linux guests/VMSVGA: do not forget the guest screen size after a guest reboot
OS/2 guests: various shared folder fixes

Revise instructions for case when VirtualBoxVM has the wrong privilege.
File "fixes_for_5.2.patch" is deleted - fixed upstream.
File "fixes_for_5.3.patch" is added to handle API changes in kernel 5.3.
File "fixes_for_SLE15.patch" deleted.

OBS-URL: https://build.opensuse.org/request/show/716635
OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=497
2019-07-19 19:54:30 +00:00

87 lines
3.3 KiB
Diff

Index: VirtualBox-6.0.10/src/VBox/Installer/linux/vboxdrv.sh
===================================================================
--- VirtualBox-6.0.10.orig/src/VBox/Installer/linux/vboxdrv.sh
+++ VirtualBox-6.0.10/src/VBox/Installer/linux/vboxdrv.sh
@@ -19,11 +19,12 @@
#
### BEGIN INIT INFO
# Provides: vboxdrv
-# Required-Start: $syslog
-# Required-Stop:
-# Default-Start: 2 3 4 5
+# Required-Start: $syslog $remote_fs
+# Required-Stop: $syslog $remote_fs
+# Default-Start: 2 3 5
# Default-Stop: 0 1 6
-# Short-Description: VirtualBox Linux kernel module
+# Short-Description: VirtualBox Linux module
+# Description: VirtualBox Linux kernel module
### END INIT INFO
## @todo This file duplicates a lot of script with vboxadd.sh. When making
@@ -312,13 +313,6 @@ See the documenatation for your Linux di
fi
fi
# ensure permissions
- if ! chown :"${GROUP}" $DEVICE 2>/dev/null; then
- rmmod vboxpci 2>/dev/null
- rmmod vboxnetadp 2>/dev/null
- rmmod vboxnetflt 2>/dev/null
- rmmod vboxdrv 2>/dev/null
- failure "Cannot change group ${GROUP} for device $DEVICE"
- fi
if ! $MODPROBE vboxnetflt > /dev/null 2>&1; then
failure "modprobe vboxnetflt failed. Please use 'dmesg' to find out why"
fi
@@ -448,48 +442,8 @@ cleanup()
# setup_script
setup()
{
- begin_msg "Building VirtualBox kernel modules" console
- log "Building the main VirtualBox module."
- if ! myerr=`$BUILDINTMP \
- --save-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxdrv" \
- --no-print-directory install 2>&1`; then
- "${INSTALL_DIR}/check_module_dependencies.sh" || exit 1
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net filter module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetflt" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the net adaptor module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxnetadp" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- log "Building the PCI pass-through module."
- if ! myerr=`$BUILDINTMP \
- --use-module-symvers /tmp/vboxdrv-Module.symvers \
- --module-source "$MODULE_SRC/vboxpci" \
- --no-print-directory install 2>&1`; then
- log "Error building the module:"
- module_build_log "$myerr"
- failure "Look at $LOG to find out what went wrong"
- fi
- rm -f /etc/vbox/module_not_compiled
- depmod -a
- sync
- succ_msg "VirtualBox kernel modules built"
+# Try to build the host kernel modules in case prepackaging has failed
+ /sbin/vboxconfig
# Secure boot on Ubuntu and Debian.
if test -n "$HAVE_SEC_BOOT" &&
type update-secureboot-policy >/dev/null 2>&1; then